'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createImport;

var _babelCore = require('babel-core');

function createImport(file, name, path) {
  const imported = file.path.node.body.find(node => _babelCore.types.isImportDeclaration(node) && _babelCore.types.isStringLiteral(node.source) && node.source.value === path);

  if (imported) {
    return imported.specifiers[0].local;
  }

  const identifier = file.scope.generateUidIdentifier(name);
  file.path.node.body.unshift(_babelCore.types.importDeclaration([_babelCore.types.importDefaultSpecifier(identifier)], _babelCore.types.stringLiteral(path)));
  return identifier;
}